## nautilus 3.26.2

=== debian/changelog ===
nautilus (3.26.2-2) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 30 Jan 2018 09:15:42 -0500

nautilus (3.26.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

  [ Michael Biebl ]
  * Suggest nautilus-extension-brasero instead of brasero.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 20:24:22 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: nautilus
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools (>= 0.13),
               libglib2.0-dev (>= 2.49.1),
               libatk1.0-dev (>= 1.32.0),
               libgtk-3-dev (>= 3.22.6),
               libgail-3-dev,
               libgnome-autoar-0-dev (>= 0.2.1),
               libgnome-desktop-3-dev (>= 3.10),
               libtracker-sparql-2.0-dev,
               libxml2-dev (>= 2.7.8),
               libexif-dev (>= 0.6.20),
               libexempi-dev (>= 2.1.0),
               gtk-doc-tools (>= 1.10),
               libxt-dev,
               libx11-dev,
               libselinux1-dev (>= 2.0) [linux-any],
               libxrender-dev,
               libxext-dev,
               x11proto-core-dev,
               meson (>= 0.40.0),
               shared-mime-info (>= 0.50),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-doc,
               libgtk-3-doc
Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
Standards-Version: 4.1.2

Package: nautilus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         nautilus-data (= ${source:Version}),
         libnautilus-extension1a (= ${binary:Version}),
         shared-mime-info (>= 0.50),
         desktop-file-utils (>= 0.7),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         gsettings-desktop-schemas (>= 3.8.0)
Recommends: librsvg2-common,
            gvfs-backends,
            gnome-sushi
Suggests: nautilus-extension-brasero,
          eog,
          evince | pdf-viewer,
          totem | mp3-decoder,
          nautilus-sendto,
          xdg-user-dirs,
          tracker
Description: file manager and graphical shell for GNOME
 Nautilus is the official file manager for the GNOME desktop. It allows
 one to browse directories, preview files and launch applications
 associated with them. It is also responsible for handling the icons on
 the GNOME desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: libnautilus-extension1a
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - runtime version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains a few runtime libraries needed by nautilus' extensions.

Package: libnautilus-extension-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libnautilus-extension1a (= ${binary:Version}),
         gir1.2-nautilus-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.49.1),
         libgtk-3-dev (>= 3.22.6),
         ${shlibs:Depends},
         ${misc:Depends}
Description: libraries for nautilus components - development version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nautilus extensions.

Package: gir1.2-nautilus-3.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: libraries for nautilus components - gir bindings
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: nautilus-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: nautilus
Description: data files for nautilus
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains pictures, localization files and other data
 needed by nautilus.

## nautilus 3.26.3

=== debian/changelog ===
nautilus (1:3.26.3-0ubuntu4) bionic; urgency=medium

  * debian/patches/server_list_segfault.patch,
    debian/patches/clear_pending_selection.patch:
    - don't segfault in the remote server UI, thanks Marco (lp: #1720685)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 20 Apr 2018 17:39:11 +0200

nautilus (1:3.26.3-0ubuntu3) bionic; urgency=medium

  * Add appstream-compulsory.patch:
    - Prevent the accidental uninstallation of ubuntu-desktop in GNOME
      Software. ubuntu-desktop depends on nautilus.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 13 Apr 2018 15:00:41 -0400

nautilus (1:3.26.3-0ubuntu2) bionic; urgency=medium

  * Readded wrongly removed patches:
    - 0015-tracker-search-engine-don-t-start-it-if-not-availabl.patch
    - 0018-search-engine-add-locate-based-search-engine.patch
  * debian/patches/12_unity_launcher_support.patch:
    - Fix not to break builds when --enable-unity is not set
  * Updated patches as per upstream reviews:
    - 0016-search-engine-add-a-recent-search-engine-listing-Gtk.patch
    - 0017-recent-add-function-to-update-manager-on-file-rename.patch

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 12 Apr 2018 19:00:28 -0400

nautilus (1:3.26.3-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * Update install file for new AppStream metadata install location
  * Drop patches applied in new release:
    - git_fat_chars.patch
    - 0018-tracker-search-engine-don-t-start-it-if-not-availabl.patch
    - 0019-search-engine-add-locate-based-search-engine.patch
    - 0020-search-engine-simple-don-t-leak-DateRange-array-if-n.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Mar 2018 16:06:56 -0400

nautilus (1:3.26.2-0ubuntu3.1) bionic; urgency=medium

  * debian/patches/search-engine-add-a-recent-search-engine-listing-Gtk.patch:
    - use the correct patch info so there no line missing in the source

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Mar 2018 18:31:10 +0100

nautilus (1:3.26.2-0ubuntu3) bionic; urgency=medium

  * debian/patches/0019-search-engine-add-locate-based-search-engine.patch:
    - remove an include from 3.28 which was left over when remerging
      on our version, fixes the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Mar 2018 18:20:48 +0100

nautilus (1:3.26.2-0ubuntu2) bionic; urgency=medium

  * debian/patches/0018-tracker-search-engine-don-t-start-it-if-not-availabl.patch:
    - Disable completely tracker search engine if not available
  * debian/patches/0019-search-engine-add-locate-based-search-engine.patch:
    - add (m)locate based search engine to search for files (helps with
      LP: #1732780)
  * debian/patches/0020-search-engine-simple-don-t-leak-DateRange-array-if-n.patch:
    - fix memory leak in simple search engine
  * debian/patches/search-engine-add-a-recent-search-engine-listing-Gtk.patch:
    - set search hit rank on recent files results
  * debian/control:
    - add mlocate as suggests (lp: #1752803)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 01 Mar 2018 02:30:16 -0500

nautilus (1:3.26.2-0ubuntu1) bionic; urgency=medium

  * New upstream version
  * debian/patches/git_fat_chars.patch:
    - list ‘\’ and ‘|’ as non valid on fat filesystems
  * debian/patches/0002-Only-use-a-header-bar-in-GNOME-shell.patch:
    - delete that patch, it was commented and we are not going to it

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 27 Feb 2018 12:35:36 +0100

nautilus (1:3.26.0-0ubuntu3) bionic; urgency=medium

  * debian/patches/search-engine-add-a-recent-search-engine-listing-Gtk.patch:
    - Add search engine to search in Gtk recent files, that's not a full fix
      but a first step to resolve lp: #1732780
  * debian/patches/directory-update-recent-files-manager-on-rename-or-f.patch:
    - Update GtkRecentManager on nautilus file operations

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Feb 2018 08:24:15 -0500

nautilus (1:3.26.0-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest gnome-desktop3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Feb 2018 20:18:06 -0500

nautilus (1:3.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 14 Sep 2017 15:16:54 -0400

nautilus (1:3.25.92-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/control.in:
    - Bump minimum libgtk-3-dev to 3.22.6
  * debian/rules
    - Add workaround for Ubuntu translations issue
  * Drop git_desktop-remove-spaces.patch:
    - Applied in new release
 
 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 Sep 2017 18:07:20 -0400

nautilus (1:3.25.90-0ubuntu1) artful; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release.
  * Build with meson.
  * Refresh patches.
  * Drop build-with-tracker2.patch: Applied in new release
  * Disable 0002-Only-use-a-header-bar-in-GNOME-shell.patch:
    - Nautilus crashes in Unity with this patch.
  * Add git_desktop-remove-spaces.patch:
    - Backport commit to fix .desktop by removing spaces from MimeType line

  [ Khurshid Alam ]
  * 12_unity_launcher_support.patch:
    - Restore lines accidentally dropped in previous merge, fixes build
      failure (LP: #1711241)

 -- Khurshid Alam <khurshid.alam@linuxmail.org>  Mon, 21 Aug 2017 05:55:14 -0400

nautilus (1:3.24.2.1-0ubuntu2) artful; urgency=medium

  * Build-Depend on libtracker-sparql-2.0-dev instead of 1.0
  * Add build-with-tracker2.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 15 Aug 2017 11:19:39 -0400

nautilus (1:3.24.2.1-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Drop patches applied in new release:
    - 08_clean_session_capplet.patch
    - dont_wrap_labels_after_dots.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 30 Jul 2017 23:42:58 -0400

nautilus (1:3.24.1-0ubuntu5) artful; urgency=medium

  * debian/rules:
    - Only show org.gnome.Nautilus.desktop under GNOME Shell causing
      subtile bugs like "can only launch nautilus once" (LP: #1706542)



=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.13),
-               libglib2.0-dev (>= 2.49.1),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10.3),
+               dpkg-dev (>= 1.17.14),
+               gnome-pkg-tools (>= 0.19.4ubuntu1),
+               libglib2.0-dev (>= 2.51.2),
                libatk1.0-dev (>= 1.32.0),
                libgtk-3-dev (>= 3.22.6),
                libgail-3-dev,
                libgnome-autoar-0-dev (>= 0.2.1),
                libgnome-desktop-3-dev (>= 3.10),
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-2.0-dev <!stage1>,
                libxml2-dev (>= 2.7.8),
                libexif-dev (>= 0.6.20),
                libexempi-dev (>= 2.1.0),
@@ -31,11 +33,12 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-doc,
-               libgtk-3-doc
+               libgtk-3-doc,
+               libunity-dev (>= 5.0.0),
+               libzeitgeist-2.0-dev,
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-Standards-Version: 4.1.2
+Vcs-Bzr: http://code.launchpad.net/~ubuntu-desktop/nautilus/ubuntu
+Standards-Version: 3.9.8
 
 Package: nautilus
 Architecture: any
@@ -50,10 +53,10 @@
          gsettings-desktop-schemas (>= 3.8.0)
 Recommends: librsvg2-common,
             gvfs-backends,
-            gnome-sushi
-Suggests: nautilus-extension-brasero,
+Suggests: brasero (>= 2.26),
           eog,
           evince | pdf-viewer,
+          gnome-sushi,
           totem | mp3-decoder,
           nautilus-sendto,
           xdg-user-dirs,
@@ -114,7 +117,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: nautilus
+Suggests: nautilus
 Description: data files for nautilus
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Denable-selinux=true
else
ENABLE_SELINUX := -Denable-selinux=false
endif

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-packagekit=true \
		-Denable-desktop=true \
		-Denable-exif=true \
		-Denable-gtk-doc=true \
		-Denable-packagekit=true \
		-Denable-nst-extension=true \
		-Denable-unity=true \
		-Denable-xmp=true \
		$(ENABLE_SELINUX) \
		$(ENABLE_TRACKER)

override_dh_strip:
	dh_strip --dbgsym-migration='nautilus-dbg (<< 1:3.20.0-1~)'

override_dh_auto_test:
# We (will eventually) run autopkgtest instead

override_dh_install:
	dh_install --list-missing

	/usr/bin/pkg-gnome-compat-desktop-file \
		debian/nautilus/usr/share/applications/org.gnome.Nautilus.desktop \
		debian/nautilus/usr/share/applications/nautilus.desktop
	sed -i 's/NoDisplay=true/OnlyShowIn=Unity;GNOME;/' \
		debian/nautilus/usr/share/applications/org.gnome.Nautilus.desktop
	sed -i 's/\[Desktop Entry\]/\0\nNotShowIn=Unity;GNOME;/' \
		debian/nautilus/usr/share/applications/nautilus.desktop

override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) nautilus-pot
	dh_translations

## nautilus 3.26.3.1

=== debian/changelog ===
nautilus (3.26.3.1-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for 3.26 series
  * debian/nautilus.install: Update for new AppStream metadata location

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 06 Apr 2018 17:57:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
-               dpkg-dev (>= 1.17.14),
-               gnome-pkg-tools (>= 0.19.4ubuntu1),
-               libglib2.0-dev (>= 2.51.2),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
+               gnome-pkg-tools (>= 0.13),
+               libglib2.0-dev (>= 2.49.1),
                libatk1.0-dev (>= 1.32.0),
                libgtk-3-dev (>= 3.22.6),
                libgail-3-dev,
                libgnome-autoar-0-dev (>= 0.2.1),
                libgnome-desktop-3-dev (>= 3.10),
-               libtracker-sparql-2.0-dev <!stage1>,
+               libtracker-sparql-2.0-dev,
                libxml2-dev (>= 2.7.8),
                libexif-dev (>= 0.6.20),
                libexempi-dev (>= 2.1.0),
@@ -33,12 +31,11 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-doc,
-               libgtk-3-doc,
-               libunity-dev (>= 5.0.0),
-               libzeitgeist-2.0-dev,
+               libgtk-3-doc
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-Vcs-Bzr: http://code.launchpad.net/~ubuntu-desktop/nautilus/ubuntu
-Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/debian/3.26.x
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b debian/3.26.x
+Standards-Version: 4.1.2
 
 Package: nautilus
 Architecture: any
@@ -53,10 +50,10 @@
          gsettings-desktop-schemas (>= 3.8.0)
 Recommends: librsvg2-common,
             gvfs-backends,
-Suggests: brasero (>= 2.26),
+            gnome-sushi
+Suggests: nautilus-extension-brasero,
           eog,
           evince | pdf-viewer,
-          gnome-sushi,
           totem | mp3-decoder,
           nautilus-sendto,
           xdg-user-dirs,
@@ -117,7 +114,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: nautilus
+Recommends: nautilus
 Description: data files for nautilus
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Denable-selinux=true
else
ENABLE_SELINUX := -Denable-selinux=false
endif

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-packagekit=true \
		-Denable-desktop=true \
		-Denable-exif=true \
		-Denable-gtk-doc=true \
		-Denable-packagekit=true \
		-Denable-nst-extension=true \
		-Denable-unity=true \
		-Denable-xmp=true \
		$(ENABLE_SELINUX) \
		$(ENABLE_TRACKER)

override_dh_strip:
	dh_strip --dbgsym-migration='nautilus-dbg (<< 3.20.0-1~)'

override_dh_auto_test:
# We (will eventually) run autopkgtest instead

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) nautilus-pot
	dh_translations

## nautilus 3.26.4

=== meson_options.txt ===
option ('enable-profiling',
        type: 'boolean',
        value: false)
option ('enable-nst-extension',
        type: 'boolean',
        value: true)
option ('enable-exif',
        type: 'boolean',
        value: false,
        description: 'enable EXIF support')
option ('enable-xmp',
        type: 'boolean',
        value: false,
        description: 'enable XMP support')
option ('enable-selinux',
        type: 'boolean',
        value: true)
option ('enable-desktop',
        type: 'boolean',
        value: true)
option ('enable-packagekit',
        type: 'boolean',
        value: true)
option ('enable-gtk-doc',
        type: 'boolean',
        value: false)

=== debian/changelog ===
nautilus (1:3.26.4-0ubuntu7.2) cosmic; urgency=medium

  * d/p/0015-tracker-search-engine-don-t-start-it-if-not-availabl.patch:
    - update the patch to fix a logic error in the code which made tracker
      never being used even if it's installed (lp: #1767817)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Mar 2019 17:23:15 +0100

nautilus (1:3.26.4-0ubuntu7.1) cosmic; urgency=medium

  * debian/patches/git_captions_order.patch
    - 'preferences-window: Fix icon views captions order'
      (lp: #1804685)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Dec 2018 15:34:36 +0100

nautilus (1:3.26.4-0ubuntu7) cosmic; urgency=medium

  * d/p/0016-search-engine-add-a-recent-search-engine-listing-Gtk.patch:
    - Fix unpaired unref on search engine (LP: #1797851)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 15 Oct 2018 13:57:46 +0200

nautilus (1:3.26.4-0ubuntu6) cosmic; urgency=medium

  * d/p/0016-search-engine-add-a-recent-search-engine-listing-Gtk.patch:
    - Refreshed to add memory leak and potential crash fixes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 08 Oct 2018 18:23:46 +0200

nautilus (1:3.26.4-0ubuntu5) cosmic; urgency=medium

  * d/p/search-engine-Query-file-system-to-determine-remoteness.patch:
    - Fix remote filesystem check on file during search (LP: #1795028)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Sep 2018 19:06:46 +0200

nautilus (1:3.26.4-0ubuntu4) cosmic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * gbp.conf: update default settings as per debian suggested
  * debian: remove legacy nautilus.desktop and use new one everywhere (LP: #1763763)

  [ Iain Lane ]
  * Delete debian/nautilus-{folder-handler,home}.desktop. They are now unused.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 28 Sep 2018 16:25:37 +0100

nautilus (1:3.26.4-0ubuntu3) cosmic; urgency=medium

  * d/p/ubuntu/shell-search-provider-implement-XUbuntuCancel-to-request-.patch:
    shell-search-provider: implement XUbuntuCancel to request pending
    search cancellation from gnome-shell (LP: #1756826)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 30 Aug 2018 18:15:24 -0500

nautilus (1:3.26.4-0ubuntu2) cosmic; urgency=medium

  * debian/patches/nautilusgtkplacesview-show-error-if-volume-is-not-mo.patch:
    - don't crash if selecting a volume that is not mounted (LP: #1764779)
    + patch re-added after gbp deleted on importing new upstream release
  * debian/patches/file-view-Always-unset-pending_selection-after-freeing-it.patch:
    - don't crash when try to select a file multiple times in a single run
      (LP: #1713581)
  * debian/patches/query-add-recursive-flags-and-use-it-in-search-engines.patch:
    - Apply the upstream version of it (with 3.26 changes)
  * debian/patches/0015-tracker-search-engine-don-t-start-it-if-not-availabl.patch,
    debian/patches/0018-search-engine-add-locate-based-search-engine.patch,
    debian/patches/file-view-Always-unset-pending_selection-after-freeing-it.patch,
    - Refresh as per recursive-query patch update
  * 0016-search-engine-add-a-recent-search-engine-listing-Gtk.patch:
    - Refresh with upstream merged-description

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 01 Aug 2018 20:58:52 +0200

nautilus (1:3.26.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release: 3.26.4 (LP: #1782681, LP: #1765776)
  * debian/patches/query-add-recursive-flags-and-use-it-in-search-engines.patch,
    debian/patches/0016-search-engine-add-a-recent-search-engine-listing-Gtk.patch,
    debian/patches/0018-search-engine-add-locate-based-search-engine.patch:
    - Follow nautilus settings to search only in current folder (LP: #1767027).
      This doesn't apply to gnome-shell search provider for indexed searches.
  * debian/patches/0017-recent-add-function-to-update-manager-on-file-rename.patch:
    - Updated to respect upstream requested changes
  * debian/patches/nautilusgtkplacesview-show-error-if-volume-is-not-mounted.patch:
    - don't crash if selecting a volume that is not mounted (LP: #1764779)
  * debian/patches/Revert-Revert-files-view-Remove-new-empty-folder-name-sug.patch,
    debian/patches/Revert-Revert-nautilus-file-Don-t-show-thumbnails-for-the.patch:
    - Reverts the reverts introduced in 2.26.3.1 as they are in ubuntu already
  * debian/patches/clear_pending_selection.patch,
    debian/patches/git_middle_tab.patch,
    debian/patches/server_list_segfault.patch,
    debian/patches/nautilusgtkplacesview-show-error-if-volume-is-not-mounted.patch:
    - Patches removed as they are already applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Jul 2018 04:52:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.13),
-               libglib2.0-dev (>= 2.49.1),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10.3),
+               dpkg-dev (>= 1.17.14),
+               gnome-pkg-tools (>= 0.19.4ubuntu1),
+               libglib2.0-dev (>= 2.51.2),
                libatk1.0-dev (>= 1.32.0),
                libgtk-3-dev (>= 3.22.6),
                libgail-3-dev,
                libgnome-autoar-0-dev (>= 0.2.1),
                libgnome-desktop-3-dev (>= 3.10),
-               libtracker-sparql-2.0-dev,
+               libtracker-sparql-2.0-dev <!stage1>,
                libxml2-dev (>= 2.7.8),
                libexif-dev (>= 0.6.20),
                libexempi-dev (>= 2.1.0),
@@ -31,11 +33,15 @@
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-doc,
-               libgtk-3-doc
+               libgtk-3-doc,
+               libunity-dev (>= 5.0.0),
+               libzeitgeist-2.0-dev,
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus/tree/debian/3.26.x
-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git -b debian/3.26.x
-Standards-Version: 4.1.2
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/nautilus
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/nautilus
+Standards-Version: 3.9.8
 
 Package: nautilus
 Architecture: any
@@ -50,10 +56,10 @@
          gsettings-desktop-schemas (>= 3.8.0)
 Recommends: librsvg2-common,
             gvfs-backends,
-            gnome-sushi
-Suggests: nautilus-extension-brasero,
+Suggests: brasero (>= 2.26),
           eog,
           evince | pdf-viewer,
+          gnome-sushi,
           totem | mp3-decoder,
           nautilus-sendto,
           xdg-user-dirs,
@@ -114,7 +120,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: nautilus
+Suggests: nautilus
 Description: data files for nautilus
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
+
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 ENABLE_SELINUX := -Denable-selinux=true
@@ -30,18 +31,14 @@
 		$(ENABLE_TRACKER)
 
 override_dh_strip:
-	dh_strip --dbgsym-migration='nautilus-dbg (<< 3.20.0-1~)'
+	dh_strip --dbgsym-migration='nautilus-dbg (<< 1:3.20.0-1~)'
 
 override_dh_auto_test:
 # We (will eventually) run autopkgtest instead
 
-override_dh_makeshlibs:
-	dh_makeshlibs -- -c4
+override_dh_install:
+	dh_install --list-missing
 
-override_dh_missing:
-	dh_missing --fail-missing
-
-# Needed by Ubuntu
 override_dh_translations:
 	ninja -C obj-$(DEB_HOST_GNU_TYPE) nautilus-pot
 	dh_translations

## nautilus 3.26.4-0~ubuntu18.04.5+9.0trisquel3

=== meson_options.txt ===
--- 
+++ 
@@ -15,6 +15,10 @@
 option ('enable-selinux',
         type: 'boolean',
         value: true)
+option ('enable-unity',
+        type: 'boolean',
+        value: false,
+        description: 'build with unity launcher support')
 option ('enable-desktop',
         type: 'boolean',
         value: true)

=== debian/changelog ===
nautilus (1:3.26.4-0~ubuntu18.04.5+9.0trisquel3) etiona; urgency=medium

  * Revert from using ubuntu-help to default gnome-help

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 13 Jan 2020 14:07:33 +0000

nautilus (1:3.26.4-0~ubuntu18.04.5) bionic; urgency=medium

  * d/p/ubuntu/shell-search-provider-implement-XUbuntuCancel-to-request-.patch:
    - shell-search-provider: implement XUbuntuCancel to request pending search
      cancellation from gnome-shell (LP: #1756826)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Oct 2019 05:38:04 +0200

nautilus (1:3.26.4-0~ubuntu18.04.4) bionic; urgency=medium

  * d/p/0015-tracker-search-engine-don-t-start-it-if-not-availabl.patch:
    - update the patch to fix a logic error in the code which made tracker
      never being used even if it's installed (lp: #1767817)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Mar 2019 17:31:08 +0100

nautilus (1:3.26.4-0~ubuntu18.04.3) bionic; urgency=medium

  * debian/patches/git_captions_order.patch
    - 'preferences-window: Fix icon views captions order'
      (lp: #1804685)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 Dec 2018 15:40:36 +0100

nautilus (1:3.26.4-0~ubuntu18.04.2) bionic; urgency=medium

  * d/p/search-engine-Query-file-system-to-determine-remoteness.patch:
    - Fix remote filesystem check on file during search (LP: #1795028)
  * d/p/0016-search-engine-add-a-recent-search-engine-listing-Gtk.patch:
    - Refreshed to add memory leak and potential crash fixes (LP: #1798426)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 08 Oct 2018 18:30:01 +0200

nautilus (1:3.26.4-0~ubuntu18.04.1) bionic; urgency=medium

  * New upstream release: 3.26.4 (LP: #1782681, LP: #1765776)
  * debian/patches/query-add-recursive-flags-and-use-it-in-search-engines.patch,
    debian/patches/0016-search-engine-add-a-recent-search-engine-listing-Gtk.patch,
    debian/patches/0018-search-engine-add-locate-based-search-engine.patch:
    - Follow nautilus settings to search only in current folder (LP: #1767027).
      This doesn't apply to gnome-shell search provider for indexed searches.
  * debian/patches/0017-recent-add-function-to-update-manager-on-file-rename.patch:
    - Updated to respect upstream requested changes
  * debian/patches/nautilusgtkplacesview-show-error-if-volume-is-not-mounted.patch:
    - don't crash if selecting a volume that is not mounted (LP: #1764779)
  * debian/patches/file-view-Always-unset-pending_selection-after-freeing-it.patch:
    - don't crash when try to select a file multiple times in a single run
      (LP: #1713581)
  * debian/patches/Revert-Revert-files-view-Remove-new-empty-folder-name-sug.patch,
    debian/patches/Revert-Revert-nautilus-file-Don-t-show-thumbnails-for-the.patch:
    - Reverts the reverts introduced in 2.26.3.1 as they are in ubuntu already
  * debian/patches/clear_pending_selection.patch,
    debian/patches/git_middle_tab.patch,
    debian/patches/server_list_segfault.patch:
    - Patches removed as they are already applied upstream

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 20 Jul 2018 04:52:45 +0200

## nautilus 3.27.90

=== meson_options.txt ===
option('docs', type: 'boolean', value: false)
option('profiling', type: 'boolean', value: false)
option('extensions', type: 'boolean', value: true)
option('packagekit', type: 'boolean', value: true)
option('selinux', type: 'boolean', value: false)
option('display-tests', type: 'boolean', value: false)

=== debian/changelog ===
nautilus (3.27.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - No longer handles desktop icons
  * debian/control.in:
    - Bump minimum gtk3 to 3.22.26 for starred locations feature
    - Build-Depend on libgexiv2-dev instead libexif-dev
    - Build-Depend on appstream-util and desktop-file-utils
  * debian/rules: Clean up configure options for new version
  * debian/nautilus.install: autostart files aren't provided any more

  [ Tim Lunn ]
  * debian/rules: updated for renamed configure option
  * debian/control.in:
    - drop Build-Depend on libexempi-dev, its no longer used
  * debian/nautilus.install: appdata is installed in metainfo now

 -- Tim Lunn <tim@feathertop.org>  Mon, 19 Feb 2018 17:24:02 +1100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 # This file is autogenerated. DO NOT EDIT!
-#
+# 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: nautilus
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10.3),
-               dpkg-dev (>= 1.17.14),
-               gnome-pkg-tools (>= 0.19.4ubuntu1),
-               libglib2.0-dev (>= 2.51.2),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
+               appstream-util <!nocheck>,
+               desktop-file-utils <!nocheck>,
+               gnome-pkg-tools (>= 0.13),
+               libglib2.0-dev (>= 2.49.1),
                libatk1.0-dev (>= 1.32.0),
-               libgtk-3-dev (>= 3.22.6),
+               libgtk-3-dev (>= 3.22.26),
                libgail-3-dev,
                libgnome-autoar-0-dev (>= 0.2.1),
                libgnome-desktop-3-dev (>= 3.10),
-               libtracker-sparql-2.0-dev <!stage1>,
+               libtracker-sparql-2.0-dev,
                libxml2-dev (>= 2.7.8),
-               libexif-dev (>= 0.6.20),
-               libexempi-dev (>= 2.1.0),
+               libgexiv2-dev (>= 0.10.0),
                gtk-doc-tools (>= 1.10),
                libxt-dev,
                libx11-dev,
@@ -28,20 +27,16 @@
                libxrender-dev,
                libxext-dev,
                x11proto-core-dev,
-               meson (>= 0.40.0),
+               meson (>= 0.41.0),
                shared-mime-info (>= 0.50),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.10.7-1~),
                libglib2.0-doc,
-               libgtk-3-doc,
-               libunity-dev (>= 5.0.0),
-               libzeitgeist-2.0-dev,
+               libgtk-3-doc
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/nautilus
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/nautilus
-Standards-Version: 3.9.8
+Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
+Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
+Standards-Version: 4.1.2
 
 Package: nautilus
 Architecture: any
@@ -56,10 +51,10 @@
          gsettings-desktop-schemas (>= 3.8.0)
 Recommends: librsvg2-common,
             gvfs-backends,
-Suggests: brasero (>= 2.26),
+            gnome-sushi
+Suggests: nautilus-extension-brasero,
           eog,
           evince | pdf-viewer,
-          gnome-sushi,
           totem | mp3-decoder,
           nautilus-sendto,
           xdg-user-dirs,
@@ -120,7 +115,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: nautilus
+Recommends: nautilus
 Description: data files for nautilus
  Nautilus is the official file manager and graphical shell for the
  GNOME desktop.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifeq ($(DEB_HOST_ARCH_OS),linux)
ENABLE_SELINUX := -Dselinux=true
else
ENABLE_SELINUX := -Dselinux=false
endif

%:
	dh $@ --with gir,gnome

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddocs=true \
		-Dextension=true \
		-Dpackagekit=true \
		$(ENABLE_SELINUX)

override_dh_strip:
	dh_strip --dbgsym-migration='nautilus-dbg (<< 3.20.0-1~)'

override_dh_auto_test:
# We (will eventually) run autopkgtest instead

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --fail-missing

# Needed by Ubuntu
override_dh_translations:
	ninja -C obj-$(DEB_HOST_GNU_TYPE) nautilus-pot
	dh_translations

## nautilus 3.30.0

=== debian/changelog ===
nautilus (3.30.0-4) unstable; urgency=medium

  * Build-Depend on tracker for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Sep 2018 10:25:38 -0400

nautilus (3.30.0-3) unstable; urgency=medium

  * Update debian/gbp.conf
  * Cherry-pick tests-Make-timeout-bigger.patch:
    - Increase timeout for a slow test to 120 seconds

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 13 Sep 2018 08:46:24 -0400

nautilus (3.30.0-2) unstable; urgency=medium

  * Drop unneeded dh_translations overrides
  * Run build tests
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 10 Sep 2018 07:31:29 -0400

nautilus (3.30.0-1) unstable; urgency=medium

  * New upstream release.
  * Revert "debian/watch: Watch for unstable releases"

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 04 Sep 2018 17:49:29 +0200

nautilus (3.29.90.1-1) experimental; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * debian/nautilus.maintscript: Remove nautilus-autostart.desktop
    on upgrade now that nautilus is not providing the desktop icons
    any more (Closes: #896800)

  [ Simon McVittie ]
  * New upstream release
  * Build-Depend on meson 0.46.0
  * (Build-)Depend on GTK+ 3.22.27
  * d/copyright: Update
  * Sort installed file lists (wrap-and-sort -a)
  * Sort dependency lists (wrap-and-sort -a)
  * d/control: Sort binary package stanzas other than the first
    (wrap-and-sort -abk)
  * Depend on bubblewrap (on Linux), for sandboxed thumbnailers
  * Build-depend on libseccomp (on Linux), for sandboxed thumbnailers
  * Set Rules-Requires-Root to no
  * Bump Standards-Version to 4.2.0
  * d/p/git-build-fix-icon-renaming.patch: Drop, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Aug 2018 11:44:27 +0100

nautilus (3.28.1-1) experimental; urgency=medium

  * New upstream release 
  * d/p/git-build-fix-icon-renaming.patch: Cherry-pick upstream commit
    to fix installation of icons.

 -- Tim Lunn <tim@feathertop.org>  Sun, 15 Apr 2018 14:03:09 +1000

nautilus (3.28.0.1-1) experimental; urgency=medium

  * New upstream release 

 -- Tim Lunn <tim@feathertop.org>  Fri, 30 Mar 2018 11:01:32 +1100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: nautilus
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: appstream-util <!nocheck>,
               debhelper (>= 11),
               desktop-file-utils <!nocheck>,
               gnome-pkg-tools (>= 0.13),
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools (>= 1.10),
               libatk1.0-dev (>= 1.32.0),
               libgail-3-dev,
               libgexiv2-dev (>= 0.10.0),
               libgirepository1.0-dev (>= 0.10.7-1~),
               libglib2.0-dev (>= 2.49.1),
               libglib2.0-doc,
               libgnome-autoar-0-dev (>= 0.2.1),
               libgnome-desktop-3-dev (>= 3.10),
               libgtk-3-dev (>= 3.22.27),
               libgtk-3-doc,
               libseccomp-dev [linux-any],
               libselinux1-dev (>= 2.0) [linux-any],
               libtracker-sparql-2.0-dev,
               libx11-dev,
               libxext-dev,
               libxml2-dev (>= 2.7.8),
               libxrender-dev,
               libxt-dev,
               meson (>= 0.46.0),
               shared-mime-info (>= 0.50),
               tracker <!nocheck>,
               x11proto-core-dev
Rules-Requires-Root: no
Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
Vcs-Git: https://salsa.debian.org/gnome-team/nautilus.git
Standards-Version: 4.2.1

Package: nautilus
Architecture: any
Depends: bubblewrap [linux-any],
         desktop-file-utils (>= 0.7),
         gsettings-desktop-schemas (>= 3.8.0),
         gvfs (>= 1.3.2),
         libglib2.0-data,
         libnautilus-extension1a (= ${binary:Version}),
         nautilus-data (= ${source:Version}),
         shared-mime-info (>= 0.50),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-sushi,
            gvfs-backends,
            librsvg2-common
Suggests: eog,
          evince | pdf-viewer,
          nautilus-extension-brasero,
          nautilus-sendto,
          totem | mp3-decoder,
          tracker,
          xdg-user-dirs
Description: file manager and graphical shell for GNOME
 Nautilus is the official file manager for the GNOME desktop. It allows
 one to browse directories, preview files and launch applications
 associated with them. It is also responsible for handling the icons on
 the GNOME desktop. It works on local and remote filesystems.
 .
 Several icon themes and components for viewing different kinds of files
 are available in separate packages.

Package: gir1.2-nautilus-3.0
Architecture: any
Multi-Arch: same
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - gir bindings
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libnautilus-extension-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-nautilus-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.49.1),
         libgtk-3-dev (>= 3.22.27),
         libnautilus-extension1a (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - development version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package provides the necessary development libraries and include
 files to develop and compile Nautilus extensions.

Package: libnautilus-extension1a
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: libraries for nautilus components - runtime version
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains a few runtime libraries needed by nautilus' extensions.

Package: nautilus-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: nautilus
Description: data files for nautilus
 Nautilus is the official file manager and graphical shell for the
 GNOME desktop.
 .
 This package contains pictures, localization files and other data
 needed by nautilus.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
@@ -26,16 +25,16 @@
 override_dh_strip:
 	dh_strip --dbgsym-migration='nautilus-dbg (<< 3.20.0-1~)'
 
+CHECK_RUNTIME_DIR= $(CURDIR)/debian/tmp/run
+
 override_dh_auto_test:
-# We (will eventually) run autopkgtest instead
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	mkdir -p -m0700 $(CHECK_RUNTIME_DIR)
+	env XDG_RUNTIME_DIR=$(CHECK_RUNTIME_DIR) dh_auto_test
+endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
 override_dh_missing:
 	dh_missing --fail-missing
-
-# Needed by Ubuntu
-override_dh_translations:
-	ninja -C obj-$(DEB_HOST_GNU_TYPE) nautilus-pot
-	dh_translations

## nautilus 3.30.3

=== debian/changelog ===
nautilus (3.30.3-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Build-Depend on dbus and xvfb for build tests
  * debian/rules: Run all build tests
  * Depend on tracker instead of Suggests. It is no longer optional.
    (Closes: #908800)

  [ Simon McVittie ]
  * New upstream release
  * d/p/tests-Make-timeout-bigger.patch: Drop, applied upstream
  * Increase meson B-D to 0.47.0 as per meson.build
  * Use a temporary XDG_RUNTIME_DIR to run tests.
    Otherwise they will fail under sbuild, which inherits the buildd user's
    XDG_RUNTIME_DIR from the host system environment variables, but does
    not create a corresponding directory inside the build chroot.

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Nov 2018 11:11:51 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: appstream-util <!nocheck>,
+               dbus <!nocheck>,
                debhelper (>= 11),
                desktop-file-utils <!nocheck>,
                gnome-pkg-tools (>= 0.13),
@@ -31,10 +32,12 @@
                libxml2-dev (>= 2.7.8),
                libxrender-dev,
                libxt-dev,
-               meson (>= 0.46.0),
+               meson (>= 0.47.0),
                shared-mime-info (>= 0.50),
                tracker <!nocheck>,
-               x11proto-core-dev
+               x11proto-core-dev,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
 Rules-Requires-Root: no
 Homepage: https://wiki.gnome.org/action/show/Apps/Nautilus
 Vcs-Browser: https://salsa.debian.org/gnome-team/nautilus
@@ -51,6 +54,7 @@
          libnautilus-extension1a (= ${binary:Version}),
          nautilus-data (= ${source:Version}),
          shared-mime-info (>= 0.50),
+         tracker,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-sushi,
@@ -61,7 +65,6 @@
           nautilus-extension-brasero,
           nautilus-sendto,
           totem | mp3-decoder,
-          tracker,
           xdg-user-dirs
 Description: file manager and graphical shell for GNOME
  Nautilus is the official file manager for the GNOME desktop. It allows

=== debian/rules ===
--- 
+++ 
@@ -20,17 +20,20 @@
 		-Ddocs=true \
 		-Dextension=true \
 		-Dpackagekit=true \
+		-Dtests=all \
 		$(ENABLE_SELINUX)
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='nautilus-dbg (<< 3.20.0-1~)'
 
-CHECK_RUNTIME_DIR= $(CURDIR)/debian/tmp/run
-
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	mkdir -p -m0700 $(CHECK_RUNTIME_DIR)
-	env XDG_RUNTIME_DIR=$(CHECK_RUNTIME_DIR) dh_auto_test
+	mkdir -p -m0700 $(CURDIR)/debian/tmp-home/run
+	env \
+		HOME=$(CURDIR)/debian/tmp-home \
+		XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
+		dbus-run-session -- xvfb-run dh_auto_test
+	rm -fr debian/tmp-home
 endif
 
 override_dh_makeshlibs:
